<?php

namespace Modules\Accounts\Enums;

enum TransactionTypeEnum: string
{
    case DEBIT = 'debit';
    case CREDIT = 'credit';

    public static function casesAsArray(): array
    {
        return array_map(fn(self $case) => $case->value, self::cases());
    }
}
